## org.apache.mahout.math
Class WeightedVectorComparator

    java.lang.Object
      org.apache.mahout.math.WeightedVectorComparator

All Implemented Interfaces:
  Serializable, Comparator<WeightedVector>

    public final class WeightedVectorComparator

extends Object
implements Comparator<WeightedVector>, Serializable

Orders `WeightedVector` by `WeightedVector.getWeight()`.

See Also:
  Serialized Form

Constructor Summary
`WeightedVectorComparator()`

Method Summary
`int` `compare(WeightedVector a, WeightedVector b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### WeightedVectorComparator

    public WeightedVectorComparator()

Method Detail

### compare

    public int compare(WeightedVector a,
                       WeightedVector b)

  Specified by:
    `compare` in interface `Comparator<WeightedVector>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.